Adds a task bundle to the specified project.

POSThttps://api.awork.com/api/v1/projects/{projectId}/addtaskbundle
POST https://api.awork.com/api/v1/projects/{projectId}/addtaskbundle

Adds the submitted task bundle and its tasks to the specified project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Request body Required

The add Task Bundle form payload.

application/json

taskBundleIdstring or nullOptional
format: uuid

The id of the task bundle to add to the entity.

defaultTaskListIdForEmailsstring or nullOptional
format: uuid
referenceDateTypestring or nullOptional

Allowed: "today" "start" "end" "custom"

(optional, default = TODAY) Defines the starting date from which the reference date is calculated. The reference date is the date from which the Start/DueOn date of a task is calculated, based on the ReferenceDateAnchor.

referenceDateAnchorstring or nullOptional

Allowed: "starts_on_reference_date" "ends_on_reference_date"

(optional, default = START) Defines what the reference date represents for the schedule (start of first task or end of last task).

customReferenceDatestring or nullOptional
format: date

(optional) The custom reference date when ReferenceDateType is set to 'custom'.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation